---
title: StaticRange.startContainer
slug: Web/API/StaticRange/startContainer
tags:
  - API
  - DOM
  - DOM API
  - Property
  - Range
  - Read-only
  - Reference
  - Static Range API
  - StaticRange
  - container
  - start
  - startContainer
---
<p>{{APIRef("DOM")}}</p>

<p><span class="seoSummary">The read-only <strong><code>startContainer</code></strong> property of the {{domxref("StaticRange")}} interface returns the start {{domxref("Node")}} for the range.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>node</em> = <em>staticNode</em>.startContainer</pre>

<h3 id="Value">Value</h3>

<p>The DOM {{domxref("Node")}} inside which the start position of the range is found.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-startcontainer', 'startContainer ')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-staticrange-startcontainer','startContainer')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StaticRange.startContainer")}}</p>
</div>
